Installer - Bug #32916

need a way for a scenario to override installer defaults
06/30/2021 02:38 PM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category:
Target version: 252
Difficulty: Fixed in Releases: 252
Triaged: No Found in Releases: 2.5.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/693,
https://github.com/theforeman/foreman-i
nstaller/pull/694
Description

The problem is that for parameters without a value Kafo always dumps the default into the answers.

However, some scenarios might decide to hard-override defaults, which can be achieved by another hiera layer.

Associated revisions

Revision 8362b725 - 07/07/2021 07:19 PM - Ewoud Kohl van Wijngaarden

Fixes #32916 - add scenario overrides

History

#1 - 06/30/2021 02:40 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman-installer/pull/693 added

#2 - 07/07/2021 07:19 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#3 - 07/07/2021 08:08 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|8362b7259643bc2191595043b2f25a46a91ac73e.

#4 - 07/08/2021 07:07 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/694 added

#5 - 07/08/2021 07:09 AM - Evgeni Golov

- Target version set to 2.5.2

#6 - 07/08/2021 02:07 PM - Evgeni Golov
- Fixed in Releases 2.5.2 added
- Fixed in Releases deleted (3.0.0)

05/18/2024

1/1



https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/8362b7259643bc2191595043b2f25a46a91ac73e
http://www.tcpdf.org

